/* global.h
 *
** Copyright (C) 1999 Juan Pablo Romero <juan_pablo_22@yahoo.com>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef GLOBAL_H
#define GLOBAL_H


#if HAVE_CONFIG_H
#       include <config.h>
#endif

#include "util.h"
#include <glade/glade.h>
#include <gtk/gtk.h>

class GnomeScene;


extern GnomeScene TheScene;       //en superficie.cc
extern GtkWidget* TheWindow;    //      ""
extern GtkWidget* TheTreeW;
extern GtkWidget* Properties;
extern GtkCTreeNode* ctree_node_found; // en dialog-object-properties.cc
extern GtkWidget * info;
//extern GladeXML  * xml;


extern gchar * Pstoedit;
extern gchar * Psviewer;
extern gchar * Xfig;
extern gchar * Sketch;

extern gint pb_timer;
extern gint loading;

#endif // GLOBAL_H