/***************************************************************************
                          read_data.h  -  description
                             -------------------
    begin                : Fri Dec 10 1999
    copyright            : (C) 1999 by Juan Pablo Romero Mndez
    email                : juan_pablo_22@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef READ_DATA_H
#define READ_DATA_H

#include <stdio.h>
#include <glib.h>
#include <vector>

#include "sarray.h"

gint read_word_from_stream      (FILE* source, gchar* word_tmp);
gint read_point_from_stream     (FILE* fp, gfloat* array );
gint read_array_from_stream(FILE* fp, gchar* key, gint* array_length, gfloat** array);
gint read_array_from_stream(FILE* fp, gchar* key, gint* array_length, guint** array);
gint read_array_from_stream(FILE* fp, gchar* key, vector<guint> & array);
gint read_array_from_stream(FILE* fp, gchar* key, VectorArray<gfloat> & array);


void parse_array(VectorArray<gfloat> & array, gchar * data, gchar * length);
void parse_array(vector<guint> & array,       gchar * data, gchar * length);
gint get_word(gchar * data, guint & data_pos, gchar * word);

#endif
