/***************************************************************************
                          sup_global.h  -  description
                             -------------------
    begin                : Fri Dec 10 1999
    copyright            : (C) 1999 by Juan Pablo Romero Mndez
    email                : juan_pablo_22@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _SUPERFICIELIB_GLOBAL_H
#define _SUPERFICIELIB_GLOBAL_H

#include "lights.h"

#include <setjmp.h>
#include <glib.h>
#include <GL/gl.h>


#define MOTION_MIN_TIME  0.2

class thread_message {
public:
    gboolean  generating_normals;
    gboolean       abort_loading;
    gboolean set_loading_message;
    gulong     triangle_procesed;
    gulong        triangle_total;
    gchar *     insert_menu_item;
    
    thread_message() {
        generating_normals  = FALSE;
        abort_loading       = FALSE;
        set_loading_message = FALSE;
        insert_menu_item    = NULL;
        triangle_procesed   = 0;
        triangle_total      = 0;
    }
    
};

typedef enum
{
    QUADS,
    LINE,
    LINES,
    POINT,
    TRIANGLES,
    POLYGON,
    MULTIPLE
} ObjectType;

typedef enum {
    POLY_FILL,  //  GL_FILL
    POLY_HLINE, //  lineas horizontales
    POLY_VLINE, //  lineas verticales
    POLY_LINE,  //  GL_LINE
    POLY_POINT, //  GL_POINT
    POLY_NONE   //  indicates that polygon_mode_up is the same as polygon_mode
} PolygonMode;


extern jmp_buf main_loop;
extern thread_message t_message;
extern GLubyte patron[5][128];
extern SceneLights  slights;

#endif